Subject: Re: Gnome starts unreliably

From: Joshua Branson <[email-masked]>
Date: Mon, 20 Mar 2017 15:32:16 +0000

I ran as "joshua"

guix package -I xf86-video-intel

and

guix package -I xf86-video-nouveau

Guix had no output on either of those commands, which means neither is installed for my user joshua right?  BUT I can login to gnome as root.  So obviously one of those xf86-video-* is installed in my root user profile right?

I did go ahead and login to a virtual console and run as "joshua":

guix package -i xf86-video-nouveau;

So now my non-root user "joshua" has xf86-video-nouveau installed.  I tried logging into Gnome, gnome on X, and xfce several times as "joshua".  It did not work.  I rebooted and tried again.  I still cannot login.

Joshua

P.S.  I originally posted this to help-guix, so I'm not sure how it came to be on the guix-bugs mailing list.  But when I look at the bug online ( https://debbugs.gnu.org/cgi/bugreport.cgi?bug=26158 )  my original email is not present.  So I'm attaching the original email as well, which has my config.scm and some relevant errors that I can find.  Thanks for the rapid responses.  Essentially I am dual booting guixSD and Parabola and both share the same /home.  I'm assuming that is part of the problem.

-------- Forwarded Message --------
Subject:        I can only start an X server in guix as root
Date:   Fri, 17 Mar 2017 20:50:07 -0400
From:   Joshua Branson <[email-masked]><mailto:[email-masked]>
To:     [email-masked]<mailto:[email-masked]>

    Hello,

I currently dual boot guixSD and Parabola.  I use a macbook 7,1, and I
am unable to start an X server in guix as my normal user.  I can login
to gnome via my root user, but obviously this is not ideal.  I can login
to a virtual console as my normal user and access Emacs (yeah), but it
would be nice to be able to start gnome as my normal user.  Just today I ran

guix pull; sudo guix pull; guix system reconfigure /etc/gnome-xfce.scm

It updated fine.  I rebooted and the problem still persists.  Parabola
and guix have seperate / partitions, but they share the same /home.
I've set up guix to create my normal user (joshua) with a uid of 2000,
because that is the uid that the user joshua has on parabola.

I'm attaching my config.scm file and some errors that I've found that
are probably relevant.  Any help would be nice.